# $Revision: 1.2 $, $Date: 2005/10/29 10:25:43 $
Summary:	GL2PS - an OpenGL to PostScript printing library
Summary(pl):	GL2PS - biblioteka drukowania z OpenGL-a do PostScriptu
Name:		gl2ps
Version:	1.2.6
Release:	1
License:	LGPL v2+ or GP2PS License v2+ (see COPYING.GL2PS)
Group:		Libraries
Source0:	http://www.geuz.org/gl2ps/src/%{name}-%{version}.tgz
# Source0-md5:	0fe27cf84d8bc4691982d8d5c6b2496f
URL:		http://www.geuz.org/gl2ps/
BuildRequires:	OpenGL-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%description -l pl
GL2PS to biblioteka C zapewniajca wysokiej jakoci wyjcie wektorowe
dla dowolnej aplikacji OpenGL. Gwna rnica midzy GL2PS a innymi
podobnymi bibliotekami polega na uyciu algorytmw sortujcych
potraficych obsuy przecinajce si i rozcignite wielokty, a
take obiekty nie bdce rozmaitociami. GL2PS zapewnia zaawansowane
gadkie cieniowanie i renderowanie tekstu, usuwanie niewidocznych
prymityww, mieszane wyjcie wektorowo-bitmapowe i wiele wicej.

GL2PS aktualnie potrafi tworzy pliki PostScript (PS), Encapsulated
PostScript (EPS) oraz Portable Document Format (PDF), a take pliki
LaTeXa dla fragmentw tekstowych. Dodanie nowych wyjciowych formatw
wektorowych powinno by wzgldnie atwe (a spord formatw, ktrych
dodanie zainteresowani byliby autorzy, pierwszym jest SVG). Tymczasem
mona uywa wietnego programu pstoedit do przeksztacania plikw
PostScript generowanych przez GL2PS na wiele innych formatw
wektorowych, takich jak xfig, cgm, wmf itp.

%package devel
Summary:	Header files for GL2PS library
Summary(pl):	Pliki nagwkowe biblioteki GL2PS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel

%description devel
Header files for GL2PS library.

%description devel -l pl
Pliki nagwkowe biblioteki GL2PS.

%package static
Summary:	Static GL2PS library
Summary(pl):	Statyczna biblioteka GL2PS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GL2PS library.

%description static -l pl
Statyczna biblioteka GL2PS.

%prep
%setup -q

%build
libtool --mode=compile %{__cc} %{rpmcflags} -c -o gl2ps.lo gl2ps.c
libtool --mode=link %{__cc} %{rpmldflags} -o libgl2ps.la gl2ps.lo -rpath %{_libdir} -lGL -lm

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

libtool --mode=install install libgl2ps.la $RPM_BUILD_ROOT%{_libdir}
install gl2ps.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING.GL2PS TODO
%attr(755,root,root) %{_libdir}/libgl2ps.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc gl2ps.pdf
%attr(755,root,root) %{_libdir}/libgl2ps.so
%{_libdir}/libgl2ps.la
%{_includedir}/gl2ps.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgl2ps.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gl2ps.spec,v $
Revision 1.2  2005/10/29 10:25:43  qboosh
- pl desc, release 1

Revision 1.1  2005/10/29 09:09:43  qboosh
- new, saving work
